Subject: [netmod] A question about updating model

From: [email-masked]
Date: Wed, 27 May 2015 23:38:35 +0800

Hi all,
   If I want to add a new child data node to a container node or list 
node, in order to keep backward compatiable,
should this child node be added to the end of son nodes of parent node?
   For example, 
   container a {
       leaf b;
       leaf c;
       leaf d;
   }
   If I want to add leaf e as a's child node, leaf e must be the last 
child of container a?
Otherwise, it is not a backward compatiable update?

Frank Feng   冯冲
BN Product Team
BN产品团队

Add: ZTE Corporation, 50 Software Avenue, YuHuaTai District, Nanjing, P.R. 
China,210012
南京市雨花台区软件大道50号中兴通讯
Mp:+86-18913852612
E-mail: [email-masked]

--------------------------------------------------------
ZTE Information Security Notice: The information contained in this mail (and any attachment transmitted herewith) is privileged and confidential and is intended for the exclusive use of the addressee(s).  If you are not an intended recipient, any disclosure, reproduction, distribution or other dissemination or use of the information contained is strictly prohibited.  If you have received this mail in error, please delete it and notify us immediately.

---

From: Martin Bjorklund <[email-masked]>
Date: Wed, 27 May 2015 18:41:39 +0200 (CEST)

Hi,

> should this child node be added to the end of son nodes of parent node?

No it doesn't have to be added in order.  See section 10 of RFC 6020.

/martin